Saltar al contenido
Guías
CatálogoNotificaciones
notification:read

Listar versiones de plantilla de notificación

GET/v1/notifications/templates/{templateId}/versions

Listar versiones de plantilla de notificación. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

templateId*string

Identificador de la plantilla.

Parámetros de cabecera

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/7204558912004325301/versions" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004325301",      "tenantId": "7204558912004325301",      "key": "example",      "group": "example",      "name": "Example resource",      "notification": "email",      "version": 1,      "bodyTpl": "example",      "status": "draft"    }  ],  "hasNextPage": false,  "nextCursor": "example",  "totalCount": 1}